<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Js Natif - Manipuler le DOM</title>

    <style>
      .container {
        width: 70vw;
        margin: 0 auto;
      }

      .form-group {
        display: flex;
        margin-bottom: 30px;
      }

      .btn {
        padding: 10px 20px;
        background: darkblue;
        border: none;
        color: white;
        cursor: pointer;
      }

      #input {
        width: 100%;
        height: 50px;
        border-radius: 5px;
        border: 1px solid #cecece;
        padding: 0 20px;
      }

      #tasks {

      }

      .task {
        padding: 30px 50px;
        display: flex;
        align-items: center;
        background-color: #caeecd;
        margin-bottom: 20px;
        border-radius: 5px;
        transition: all .3s ease-in-out;
        cursor: pointer;
      }

      .task:hover {
        background-color: lightgreen;
        transform: translateX(2px);
      }
    </style>
</head>
<body>


<div class="container">
    <h1>Javascript Natif 9 - Manipuler le DOM</h1>

    <div class="form-group">
        <input type="text" id="input" placeholder="Le nom de la tâche">
        <button type="button" id="btn" class="btn">Ajouter</button>
    </div>

    <div id="tasks">
        <div class="task">Faire la cuisine</div>
        <div class="task">Nettoyer</div>
        <div class="task">Ranger</div>
    </div>

    <button type="button" id="btn-cook" class="btn">Enregistrer</button>
</div>

<script src="js-natif-exo-9-dom.js"></script>

</body>
</html>
